isp upgraded to PHP 7.1 or 7.2

Issues related to forms.
Post Reply
Eleri Jones
 
 
Posts: 17
Joined: Wed Oct 29, 2014 6:44 pm

isp upgraded to PHP 7.1 or 7.2

Post by Eleri Jones » Mon Apr 15, 2019 6:21 pm

Hope you can help. My ISP has upgraded and I was told to migrate my site to another server which offered the option of PHP 7.1 or 7.2.
After migrating, and choosing PHP 7.1, the form on my website does not work. I receive the following error message. I have searched the FORM section of the forum, but cannot see anything like this problem.


500 Internal server error.
thanks
Eleri.

User avatar
Pablo
 
Posts: 15927
Joined: Tue Mar 28, 2006 12:00 pm
Location: Europe
Contact:

Re: isp upgraded to PHP 7.1 or 7.2

Post by Pablo » Mon Apr 15, 2019 7:58 pm

Did you set the PHP version in Page Properties to PHP5-PHP7?

Notre that '500 Internal server error' is very generic. This can also be a server configuration problem.
Please check the server PHP log for the real reason of the error.

Eleri Jones
 
 
Posts: 17
Joined: Wed Oct 29, 2014 6:44 pm

Re: isp upgraded to PHP 7.1 or 7.2

Post by Eleri Jones » Tue Apr 16, 2019 10:11 am

Hi Pablo,
Thanks for responding. The PHP setting is correct in Page Properties.
This is the error message I got.

error

PHPMailer error: SMTP connect() failed. https://github.com/PHPMailer/PHPMailer/ ... leshooting


USP tech support helpdesk.
USP Tech support : popped a web.config in to display detailed errors and it shows this instead of a 500 error now

PHP Warning: mail(): SMTP server response: 501 5.1.7 Bad sender address syntax 221 2.7.0 Error: I can break rules, too. Goodbye. in E:\Domains\g\geiriaugwyn.cymru\user\htdocs\cysylltu.php on line 94

something is wrong on line 94 of that file
{mail($mailto, $subject, $body, $header);}

Hope you can help, Do you think that the site has been hacked? I'm seeing the text "I can break rules, too. Goodbye"

Thanks
Eleri.

User avatar
Pablo
 
Posts: 15927
Joined: Tue Mar 28, 2006 12:00 pm
Location: Europe
Contact:

Re: isp upgraded to PHP 7.1 or 7.2

Post by Pablo » Tue Apr 16, 2019 10:14 am

This error indicates that the SMTP settings in the form are not correct. Or the mail server on your web account is not properly configured.
Do you think that the site has been hacked? I'm seeing the text "I can break rules, too. Goodbye"
I think, this is just the message that the mail server sends when something is wrong.

alan_sh
 
 
Posts: 200
Joined: Tue Jan 01, 2019 5:50 pm

Re: isp upgraded to PHP 7.1 or 7.2

Post by alan_sh » Tue Apr 16, 2019 11:04 am

Looking at the message, it appears you have the sender IP address sent to 221 (space) 2 (dot) 7 (dot) 0 - replace the space with a dot.

Alan

Post Reply